Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Tar.TarInputStream.EntryFactoryAdapter Class Reference

Standard entry factory class creating instances of the class TarEntry. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Tar.TarInputStream.EntryFactoryAdapter:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.Tar.TarInputStream.EntryFactoryAdapter:
[legend]

## Public Member Functions
TarEntry | CreateEntry (string name)
| Create a TarEntry based on named.
TarEntry | CreateEntryFromFile (string fileName)
| Create a tar entry with details obtained from fileName file
TarEntry | CreateEntry (byte[] headerBuffer)
| Create an entry based on details in headerBuffer header

## Detailed Description

Standard entry factory class creating instances of the class TarEntry.

## Member Function Documentation

## ◆ CreateEntry() [1/2]

TarEntry ICSharpCode.SharpZipLib.Tar.TarInputStream.EntryFactoryAdapter.CreateEntry | ( | byte[] | headerBuffer | ) |

Create an entry based on details in headerBuffer header

Parameters

  headerBuffer | The buffer containing entry details.

Returns
  A new TarEntry

Implements ICSharpCode.SharpZipLib.Tar.TarInputStream.IEntryFactory.

## ◆ CreateEntry() [2/2]

TarEntry ICSharpCode.SharpZipLib.Tar.TarInputStream.EntryFactoryAdapter.CreateEntry | ( | string | name | ) |

Create a TarEntry based on named.

Parameters

  name | The name to use for the entry

Returns
  A new TarEntry

Implements ICSharpCode.SharpZipLib.Tar.TarInputStream.IEntryFactory.

Here is the call graph for this function:

## ◆ CreateEntryFromFile()

TarEntry ICSharpCode.SharpZipLib.Tar.TarInputStream.EntryFactoryAdapter.CreateEntryFromFile | ( | string | fileName | ) |

Create a tar entry with details obtained from fileName file

Parameters

  fileName | The name of the file to retrieve details from.

Returns
  A new TarEntry

Implements ICSharpCode.SharpZipLib.Tar.TarInputStream.IEntryFactory.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Tar/TarInputStream.cs